Skip to main content
GET
/
api
/
projects
List the user's audit projects
curl --request GET \
  --url https://app.auditynow.com/api/projects \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientName": "<string>",
    "industry": "<string>",
    "companySize": "<string>",
    "status": "setup",
    "createdAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "currency": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "documentsCount": 123,
    "analysisProgress": 50,
    "stakeholdersCount": 123,
    "hasAnalysis": true,
    "hasInterviewAnalysis": true,
    "hasAuditAnalysis": true,
    "hasQuestionnaires": true,
    "hasDeliverables": true,
    "statusLabel": "<string>",
    "statusDescription": "<string>",
    "lastActivity": {
      "type": "document_upload",
      "date": "2023-11-07T05:31:56Z",
      "description": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.auditynow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.

Response

Array of project summaries

id
string<uuid>
required
clientName
string
required
industry
string
required
companySize
string
required
status
enum<string>
required

Lifecycle state of an audit project.

Available options:
setup,
analysis,
interviews,
complete,
archived
createdAt
string<date-time>
required
description
string | null
currency
string
updatedAt
string<date-time>
documentsCount
integer
analysisProgress
integer

Percentage 0-100 representing how far through the audit lifecycle this project is.

Required range: 0 <= x <= 100
stakeholdersCount
integer
hasAnalysis
boolean
hasInterviewAnalysis
boolean
hasAuditAnalysis
boolean
hasQuestionnaires
boolean
hasDeliverables
boolean
statusLabel
string
statusDescription
string
lastActivity
object